Set endpoints for a cluster
Update an endpoint for a Redis™ Database Instance (Redis™ cluster). You must specify the cluster_id and the endpoints parameters in your request.
path Parameters
zoneThe zone you want to target
cluster_idUUID of the Database Instance where the endpoints have to be set. (UUID format)
Set endpoints for a cluster › Request Body
Endpoints to define for the Database Instance.
Set endpoints for a cluster › Responses
Endpoints defined on the Database Instance.
Add endpoints for a cluster
Add a new endpoint for a Redis™ Database Instance (Redis™ cluster). You can add private_network or public_network specifications to the body of the request.
path Parameters
zoneThe zone you want to target
cluster_idUUID of the Database Instance you want to add endpoints to. (UUID format)
Add endpoints for a cluster › Request Body
Endpoints to add to the Database Instance.
Add endpoints for a cluster › Responses
Endpoints defined on the Database Instance.
total_countTotal count of endpoints of the Database Instance.
Get an endpoint
Retrieve information about a Redis™ Database Instance (Redis™ cluster) endpoint. Full details about the endpoint, like ips, port, private_network and public_network specifications are returned in the response.
path Parameters
zoneThe zone you want to target
endpoint_idUUID of the endpoint you want to get. (UUID format)
Get an endpoint › Responses
portTCP port of the endpoint.
Private Network details.
public_networkPublic network details.
ipsList of IPv4 addresses of the endpoint. (IP address)
idUUID of the endpoint. (UUID format)
Delete an endpoint for a cluster
Delete the endpoint of a Redis™ Database Instance (Redis™ cluster). You must specify the region and endpoint_id parameters of the endpoint you want to delete. Note that might need to update any environment configurations that point to the deleted endpoint.
path Parameters
zoneThe zone you want to target
endpoint_idUUID of the endpoint you want to delete. (UUID format)
Delete an endpoint for a cluster › Responses
idUUID of the Database Instance. (UUID format)
nameName of the Database Instance.
project_idProject ID the Database Instance belongs to. (UUID format)
statusStatus of the Database Instance.
versionRedis™ engine version of the Database Instance.
List of Database Instance endpoints.
tagsList of tags applied to the Database Instance.
node_typeNode type of the Database Instance.
created_atCreation date (Format ISO 8601). (RFC 3339 format)
updated_atUpdate date (Format ISO 8601). (RFC 3339 format)
tls_enabledDefines whether or not TLS is enabled.
List of Database Instance settings.
List of ACL rules.
cluster_sizeNumber of nodes of the Database Instance cluster.
zoneZone of the Database Instance.
user_nameName of the user associated to the cluster.
upgradable_versionsList of engine versions the Database Instance can upgrade to.
Update an endpoint
Update information about a Redis™ Database Instance (Redis™ cluster) endpoint. Full details about the endpoint, like ips, port, private_network and public_network specifications are returned in the response.
path Parameters
zoneThe zone you want to target
endpoint_idUUID of the endpoint you want to get. (UUID format)
Update an endpoint › Request Body
Private Network details.
public_networkPublic network details.
Update an endpoint › Responses
portTCP port of the endpoint.
Private Network details.
public_networkPublic network details.
ipsList of IPv4 addresses of the endpoint. (IP address)
idUUID of the endpoint. (UUID format)